import { NetworkClass } from '../network';
export declare let unsafeUnlock: boolean;
interface Debug {
    baseDir: string;
    network: NetworkClass;
    archiveName: string;
    files: {
        [name: string]: string;
    };
}
declare class Debug {
    constructor(baseDir: string, network: NetworkClass);
    addToArchive(src: any, dest: any): void;
    createArchiveStream(): any;
    _registerRoutes(): void;
}
export default Debug;
